<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1xml__parser.html">xml_parser</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::xml_parser Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_document_handler</b>(document_handler &amp;item) (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_error_handler</b>(error_handler &amp;item) (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html#a1143e6304fe1c5fc3c3e71e30d5e8c53">change_entity</a>(std::istream &amp;in)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>chars</b> enum value (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>chars_cdata</b> enum value (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>clear</b>() (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>comment</b> enum value (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html#aafdd7e5cf7254628a17a40ac15a180d9">dh_list</a></td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>dtd</b> enum value (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>eh_list</b> (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>element_end</b> enum value (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>element_start</b> enum value (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>empty_element</b> enum value (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>eof</b> enum value (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>error</b> enum value (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_next_token</b>(std::istream &amp;in, std::string &amp;token_text, int &amp;token_kind, unsigned long &amp;line_number) (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html#afabd8b8024145979f76339069f1bfe0a">kernel_1a</a> typedef</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kernel_1a_c</b> typedef (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>map</b> typedef (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator=</b>(xml_parser &amp;) (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>parse</b>(std::istream &amp;in) (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html#ad061101d2ca9d8305601bce10e84ece1">parse_element</a>(const std::string &amp;token, std::string &amp;name, attrib_list &amp;atts)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html#a990a211ae21b0ffe3eca79f0acd7ea66">parse_element_end</a>(const std::string &amp;token, std::string &amp;name)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html#a5bab8a400c04dba63a41501763ba8815">parse_pi</a>(const std::string &amp;token, std::string &amp;target, std::string &amp;data)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>pi</b> enum value (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>seq_dh</b> typedef (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>seq_eh</b> typedef (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>stack</b> typedef (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>swap</b>(xml_parser &amp;item) (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>token_type</b> enum name (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>xml_parser</b>() (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>xml_parser</b>(xml_parser &amp;) (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~xml_parser</b>() (defined in <a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a>)</td><td class="entry"><a class="el" href="classdlib_1_1xml__parser.html">dlib::xml_parser</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
